Name:          qoauth
Summary:       Qt-based C++ library for OAuth authorization scheme
Group:         Graphical desktop/KDE
Version:       2.0.1
Release:       %mkrel 1
License:       LGPLv2+
URL:           http://github.com/ayoy/qoauth
Source0:       http://files.ayoy.net/qoauth/release/%{version}/src/%{name}-%{version}-src.tar.xz
#Patch0:        qoauth-2.0.1-Qt5-port.patch
BuildRequires: qt4-devel
BuildRequires: doxygen
BuildRequires: %{_lib}qca2-devel



%description
QOAuth is a Qt-based C++ implementation of an interface to services using
OAuth authorization scheme.

%package devel
Summary:	Development files for the Qt OAuth support library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-devel
Requires:	qca2-devel

%description devel
The %{name}-devel package contains libraries, header files and documentations 
for developing applications that use QOAuth library. 

%prep
%setup -q -n %{name}-%{version}-src
sed -i -e '/^ *docs \\$/d' \
       -e "s!\(\$\${INSTALL_PREFIX}\)/lib.*!%{_libdir}!" src/src.pro
sed -i -e 's\/lib\/%{_lib}\g' src/pcfile.sh

%build
%qmake_qt4
%make


%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}
doxygen Doxyfile

# fix the time stamp
for file in doc/html/*; do
	touch -r Doxyfile $file
done


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README CHANGELOG LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html doc/examples
%{_libdir}/*.so
%{_libdir}/*.prl
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%qt4dir/mkspecs/features/oauth.prf



%changelog
* Sat Nov 19 2016 adrianomorselli <adrianomorselli> 2.0.1-1uplos2016
- rebuild and back to qt4

* Mon Jun 13 2016 bb <bb> 2.0.1-1pclos2016
- update

